Subject: [lp-wan] IPv6 over LoRa draft

From: Xavier Vilajosana <[email-masked]>
Date: Fri, 3 Jun 2016 18:35:56 +0200

Dear all,

we want to raise your attention about our initial work on specifying how
adapt IPv6 on LoRa. This is still a 00 version with many TODOs.

https://datatracker.ietf.org/doc/draft-vilajosana-6lpwa-lora-hc/

kind regards,
Xavi

*Xavier Vilajosana*
*CIO*

Mobile: (+34) 646 633 681 <%28%2B34%29%2093%20418%2005%2085>
Office: (+34) 93 418 05 85

Aragó, 383, 4th floor
08013 Barcelona, Spain

9-10 Carlos Place, Mayfair
London W1K 3AT, UK

*This email may contain confidential information and may be subject to
professional secrecy. Its dissemination, copying, distribution,
reproduction, forwarding or any other unauthorized use is strictly
prohibited. If you receive this email in error, please notify us
immediately and arrange for its deletion, together with any attached
documents.*

*Este correo electrónico puede contener información estrictamente
confidencial, y puede estar sometido al secreto profesional. Está prohibida
su difusión, copia, distribución, reproducción, reenvío o cualquier otro
uso no autorizado. En caso de recibir este correo por error, rogamos nos
lo comunique de inmediato y proceda a su eliminación, así como de cualquier
documento que se adjunte.*

-- 

Aragó, 383, 4th floor
08013 Barcelona, Spain

9-10 Carlos Place, Mayfair
London W1K 3AT, UK

*This email may contain confidential information and may be subject to 
professional secrecy. Its dissemination, copying, distribution, 
reproduction, forwarding or any other unauthorized use is strictly 
prohibited. If you receive this email in error, please notify us 
immediately and arrange for its deletion, together with any attached 
documents.*

*Este correo electrónico puede contener información estrictamente 
confidencial, y puede estar sometido al secreto profesional. Está prohibida 
su difusión, copia, distribución, reproducción, reenvío o cualquier otro 
uso no autorizado. En caso de recibir este correo por error, rogamos nos 
lo comunique de inmediato y proceda a su eliminación, así como de cualquier 
documento que se adjunte.*

---

From: "Satish Anamalamudi (Satish Anamalamudi)" <[email-masked]>
Date: Mon, 6 Jun 2016 09:01:18 +0000

Dear Xavi,

I had gone through the “6lpwa-lora-hc” draft. It’s very well written. However, I find a small technical mistake in Section .4.4 (Neighbor Discovery).

1.       In draft (Section 4.4 : Page  No : 8) it is stated as “When a host has configured a non-link-local IPv6 address, it
                registers that address with one or more of its default routers using the Address Registration Option (ARO) in an RS message”.

I think the node should send the Address Registration Option (ARO) in Neighbor Solicitation (NS) message (Page number : 13” in [RFC6775]).

2.       (Section 4.4 : Page  No : 8),  host needs to refresh its prefix and context information by sending a new unicast RS. I think it should be NS in this sentence also.

With Regards,
Satish.
From: lp-wan [mailto:[email-masked]] On Behalf Of Xavier Vilajosana
Sent: 2016年6月4日 0:36
To: [email-masked]
Cc: Mischa Dohler
Subject: [lp-wan] IPv6 over LoRa draft

Dear all,

we want to raise your attention about our initial work on specifying how adapt IPv6 on LoRa. This is still a 00 version with many TODOs.

kind regards,
Xavi

Xavier Vilajosana
CIO

Mobile: (+34) 646 633 681<tel:%28%2B34%29%2093%20418%2005%2085>
Office: (+34) 93 418 05 85<tel:%28%2B34%29%2093%20418%2005%2085>

[http://www.worldsensing.com/files/logo_WS.png]

Aragó, 383, 4th floor
08013 Barcelona, Spain

This email may contain confidential information and may be subject to professional secrecy. Its dissemination, copying, distribution, reproduction, forwarding or any other unauthorized use is strictly prohibited. If you receive this email in error, please notify us immediately and arrange for its deletion, together with any attached documents.

Este correo electrónico puede contener información estrictamente confidencial, y puede estar sometido al secreto profesional. Está prohibida su difusión, copia, distribución, reproducción, reenvío o cualquier otro uso no autorizado. En caso de recibir este correo por error, rogamos nos lo comunique de inmediato y proceda a su eliminación, así como de cualquier documento que se adjunte.

[http://www.worldsensing.com/files/logo_WS.png]

Aragó, 383, 4th floor
08013 Barcelona, Spain

This email may contain confidential information and may be subject to professional secrecy. Its dissemination, copying, distribution, reproduction, forwarding or any other unauthorized use is strictly prohibited. If you receive this email in error, please notify us immediately and arrange for its deletion, together with any attached documents.

Este correo electrónico puede contener información estrictamente confidencial, y puede estar sometido al secreto profesional. Está prohibida su difusión, copia, distribución, reproducción, reenvío o cualquier otro uso no autorizado. En caso de recibir este correo por error, rogamos nos lo comunique de inmediato y proceda a su eliminación, así como de cualquier documento que se adjunte.

---

From: Xavier Vilajosana <[email-masked]>
Date: Mon, 6 Jun 2016 11:15:15 +0200

Dear Satish,

thanks so much for your comments. I checked RFC6775 and you are right.  I
will review the text carefully and update the content in the following
version.

kind regards,
Xavi

*Xavier Vilajosana*
*CIO*

Aragó, 383, 4th floor
08013 Barcelona, Spain

2016-06-06 11:01 GMT+02:00 Satish Anamalamudi (Satish Anamalamudi) <
[email-masked]>:

> Dear Xavi,
>
>
>
> I had gone through the “6lpwa-lora-hc” draft. It’s very well written.
> However, I find a small technical mistake in Section .4.4 (Neighbor
> Discovery).
>
>
>
> 1.       In draft (Section 4.4 : Page  No : 8) it is stated as “When a
> host has configured a non-link-local IPv6 address, it
>
>                 registers that address with one or more of its default
> routers using the Address Registration Option (ARO) in an RS message”.
>
>
>
> I think the node should send the Address Registration Option (ARO) in
> Neighbor Solicitation (NS) message (Page number : 13” in [RFC6775]).
>
>
>
> 2.       (Section 4.4 : Page  No : 8),  host needs to refresh its prefix
> and context information by sending a new unicast RS. I think it should be
> NS in this sentence also.
>
>
>
> With Regards,
>
> Satish.
>
> *From:* lp-wan [mailto:[email-masked]] *On Behalf Of *Xavier
> Vilajosana
> *Sent:* 2016年6月4日 0:36
> *To:* [email-masked]
> *Cc:* Mischa Dohler
> *Subject:* [lp-wan] IPv6 over LoRa draft
>
>
>
> Dear all,
>
>
>
> Office: (+34) 93 418 05 85 <%28%2B34%29%2093%20418%2005%2085>
>
>
>
> Aragó, 383, 4th floor
>
> 08013 Barcelona, Spain
>
>
>
> _______________________________________________
> lp-wan mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/lp-wan
>
>

-- 

Aragó, 383, 4th floor
08013 Barcelona, Spain